import logging
from context.service.database.Factory import get_database, DatabaseEngineEnum
from .populate_database import sequence

logging.basicConfig(level=logging.INFO)

def test_redis():
    database = get_database(
        engine=DatabaseEngineEnum.REDIS, REDISDB_SERVICE_HOST='127.0.0.1', REDISDB_SERVICE_PORT=31926,
        REDISDB_DATABASE_ID=0)
    sequence(database)
